//(c) Armand Duijn.

(function($){
	$.fn.theaterMode = function(options) {
		
		var defaults = {
			imgClass: ".theaterBtn",
			imgTitleLightOff: "Lights off!",
			imgTitleLightOn: "Lights on!",
			imgSrcLightOff: "lightOff.png",
			imgSrcLightOn: "lightOn.png",
   			opacity: 0.85,
   			speed: 500
   		};
		
		var options = $.extend(defaults, options);
		
		return this.each(function() {
			
			var imgClass = options.imgClass;
			var imgTitleLightOff = options.imgTitleLightOff;
			var imgTitleLightOn = options.imgTitleLightOn;
			var imgSrcLightOff = options.imgSrcLightOff;
			var imgSrcLightOn = options.imgSrcLightOn;
   			var opacity = options.opacity;
   			var speed = options.speed;
			
			$('<div id="theater"></div>').appendTo("body");	
			$('#theater').css({"opacity": opacity});
		
			$(imgClass).click(function(){
				if ($("#theater").is(":visible"))
				{	
					$(imgClass).attr("title", imgTitleLightOff);
					$(imgClass).attr("src", imgSrcLightOff);
					$("#theater").fadeOut(speed);
				} 
				else 
				{
					$(imgClass).attr("title", imgTitleLightOn);
					$(imgClass).attr("src", imgSrcLightOn);
					$("#theater").fadeIn(speed);
				}
			});
		});
	}
})(jQuery);